aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJuraj Linkeš <juraj.linkes@pantheon.tech>2021-03-23 10:06:50 +0100
committerPeter Mikus <pmikus@cisco.com>2021-03-23 11:30:00 +0000
commit7f7ac7dcd4cdf3e3834b7f81efadb8c9b6a080e4 (patch)
tree5c210616be9fc6af5b6f27d3e647ec9c08e02814
parent3f6d68eb7e1450fcf0258f1673c2fa3f2be56f1f (diff)
Infra: fix NUMA count in Arm DPDK build
The default NUMA value for Taishan build is insufficient and results in failed test runs. Fix by increasing the amount to what's on the device. Change-Id: Ia7c761e81ee9063d7129472d9caa8cebbbb7e1cf Signed-off-by: Juraj Linkeš <juraj.linkes@pantheon.tech>
-rw-r--r--resources/libraries/bash/function/dpdk.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/resources/libraries/bash/function/dpdk.sh b/resources/libraries/bash/function/dpdk.sh
index 0b148aa83d..1da9aeead2 100644
--- a/resources/libraries/bash/function/dpdk.sh
+++ b/resources/libraries/bash/function/dpdk.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-# Copyright (c) 2020 Cisco and/or its affiliates.
+# Copyright (c) 2021 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -87,9 +87,12 @@ function dpdk_compile () {
pushd "${DPDK_DIR}" || die "Pushd failed"
# Patch ARM.
- sed_cmd="s/'RTE_MAX_LCORE', [0-9]*/'RTE_MAX_LCORE', $(nproc --all)/"
sed_file="config/arm/meson.build"
- sed -i "${sed_cmd}" "${sed_file}" || die "Patch failed"
+ sed_cmd="s/'RTE_MAX_LCORE', [0-9]*/'RTE_MAX_LCORE', $(nproc --all)/"
+ sed -i "${sed_cmd}" "${sed_file}" || die "RTE_MAX_LCORE Patch failed"
+ sed_cmd="s/'RTE_MAX_NUMA_NODES', [0-9]*/'RTE_MAX_NUMA_NODES', "
+ "$(echo /sys/devices/system/node/node* | wc -w)/"
+ sed -i "${sed_cmd}" "${sed_file}" || die "RTE_MAX_NUMA_NODES Patch failed"
# Patch L3FWD.
sed_rxd="s/^#define RTE_TEST_RX_DESC_DEFAULT 128/#define RTE_TEST_RX_DESC_DEFAULT 1024/g"